Link Strategy Asset
curl --request POST \
--url https://api.example.com/strategy-memory/{artifact_key}/assets/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"asset_id": "<string>",
"asset_name": "<string>",
"relationship_type": "related",
"usage_notes": "<string>",
"annotations": {}
}
'import requests
url = "https://api.example.com/strategy-memory/{artifact_key}/assets/"
payload = {
"asset_id": "<string>",
"asset_name": "<string>",
"relationship_type": "related",
"usage_notes": "<string>",
"annotations": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
asset_id: '<string>',
asset_name: '<string>',
relationship_type: 'related',
usage_notes: '<string>',
annotations: {}
})
};
fetch('https://api.example.com/strategy-memory/{artifact_key}/assets/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"asset_type": "automation",
"asset_id": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"asset_name": "<string>",
"relationship_type": "related",
"usage_notes": "<string>",
"annotations": {},
"created_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}strategy-memory
Link Strategy Asset
POST
/
strategy-memory
/
{artifact_key}
/
assets
/
Link Strategy Asset
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
application/json
Available options:
automation, connection, dashboard, dataset, deployment, document, feature, model, ontology, pipeline, report Stable id/key/name of the associated asset or memory item.
Required string length:
1 - 255Maximum string length:
255Available options:
supports, requires, depends_on, implements, measures, evidence, blocks, related Maximum string length:
4000Response
Successful Response
Available options:
automation, connection, dashboard, dataset, deployment, document, feature, model, ontology, pipeline, report Stable id/key/name of the associated asset or memory item.
Required string length:
1 - 255Maximum string length:
255Available options:
supports, requires, depends_on, implements, measures, evidence, blocks, related Maximum string length:
4000